Tato služba může obsahovat Google překlady. Společnost Google odmítá veškerou odpovědnost za překlad, doslovný i předpokládaný, včetně veškerých záruk aktuálnosti, spolehlivosti a veškerých záruk předpokládané zobchodovatelnosti, vhodnosti pro daný účel a neporušení práv.

Web Kaspersky Lab byl přeložen překládacím softwarem založeným na Google Translate. Bylo vynaloženo přiměřené úsilí, aby byl zajištěn přesný překlad, avšak žádný automatický překlad není dokonalý a není určen k nahrazení lidských překladatelů. Překlady jsou poskytovány jako služba uživatelům webových stránek a jsou poskytovány „tak jak jsou“. Neexistuje žádná záruka jakéhokoliv druhu, na vyjádřený nebo předpokládaný překlad, na přesnost nebo správnost překladů. Některý obsah (například obrázky, videa, Flash atd.) Nemusí být přesně přeložen z důvodu omezení překladového softwaru.

KLA11109
Více zranitelností v Mozille Firefox a Firefoxu ESR
Aktualizováno: 12/29/2017
Detekováno
?
09/28/2017
Míra zranitelnosti
?
Kritická
Popis

V Firefoxu a Firefoxu ESR bylo nalezeno několik závažných chyb. Uživatelé se zlými úmysly mohou tyto chyby zabezpečení zneužít k odmítnutí služby, spoofovat uživatelské rozhraní, obejít bezpečnostní omezení, získávat citlivé informace a provádět skriptování mezi webovými stránkami.

Níže je uveden úplný seznam chyb zabezpečení:

  1. Bezpečné použití po volání týkající se rozhraní Fetch API lze vzdáleně využít k odmítnutí služby;
  2. Bezpilotní použití po připojení k elementům Accessible Rich Internet Applications (ARIA) lze vzdáleně využít k odmítnutí služby;
  3. Zranitelnost po použití může být zneužita k odmítnutí služby;
  4. Chyba zabezpečení přetečení vyrovnávací paměti vztahující se k grafické knihovně ANGLE může být zneužita k odmítnutí služby;
  5. Zranitelnost bez použití po připojení k TLS 1.2 d lze vzdáleně využít k odmítnutí služby;
  6. Zranitelnost související s blob: a data: Adresy URL lze vzdáleně využít k vynechání bezpečnostních omezení;
  7. Chyba zabezpečení týkající se vykreslování některých písem OS X může být vzdáleně využívána k vyloučení bezpečnostních omezení;
  8. Zranitelnost související s direktivou o ochraně obsahu (CSP) karantény může být vzdáleně využívána k provádění skriptování mezi stránkami.
  9. Mnoho zranitelností poškození paměti, ke kterým dochází kvůli bezpečnostním chybám paměti, lze vzdáleně využít k provádění libovolného kódu;
  10. Nespecifikovaná chyba zabezpečení může být zneužita vzdáleně pro spoofování uživatelského rozhraní.
  11. Zranitelnost týkající se funkce Drag & Drop může být vzdáleně využívána prostřednictvím speciálně navrženého obsahu stránky pro čtení místních souborů;
  12. Zranitelnost související s analyzátorem JavaScript může být potenciálně zneužita k odmítnutí služby nebo získání citlivých informací.
  13. Nespecifikovaná zranitelnost dat: protokol lze vzdáleně využívat na stránkách obsahujících iframe pro spoofování uživatelského rozhraní;
  14. Mnoho zranitelných míst souvisejících s načítáním WebExtension lze využít k vynechání bezpečnostních omezení;
  15. Zranitelnost související s implementací AES-GCM v rozhraní WebCrypto API lze vzdáleně využít k získání citlivých informací.
  16. Chyba zabezpečení související s mechanizmem Xray wrapper může být vzdáleně využívána ke zneužití uživatelského rozhraní.

Technické údaje

Chyba zabezpečení (2) ovlivňuje pouze Firefox pro Android. Jiné operační systémy nejsou ovlivněny.

Chyba zabezpečení (3) se vyskytuje v režimu návrhu při změně velikosti obrázků.

Chyba zabezpečení (7) ovlivňuje pouze operační systém OS X. Jiné operační systémy nejsou ovlivněny.

Chyba zabezpečení (14) ovlivňuje pouze Firefox pro Android. Jiné operační systémy nejsou ovlivněny.

Chyba zabezpečení (15) ovlivňuje pouze instalace s vypnutým multiprocesem e10.

Zranitelnosti 1-9 se vztahují k aplikaci Mozilla Firefox ESR.

Veškeré chyby zabezpečení se vztahují k programu Mozilla Firefox.

Poznámka: Ne každá zranitelnost již má hodnocení CVSS, takže kumulativní hodnocení CVSS nemusí být reprezentativní.

Pozn .: Tato zranitelnost nemá žádný veřejný rating CVSS, takže hodnocení může být změněno v čase.

Poznámka: V tuto chvíli Mozilla právě rezervovala čísla CVE pro tyto chyby zabezpečení. Informace lze brzy změnit.

Zasažené produkty

Mozilla Firefox verze starší než 56
Mozilla Firefox verze ESR starší než 52.4

Řešení

Aktualizace na nejnovější verzi
Stáhněte si Mozilla Firefox ESR
Stáhněte si Mozilla Firefox

Oficiální doporučení

MSFA 2017-22
MSFA 2017-21

Dopad
?
RLF 
[?]

SUI 
[?]

OSI 
[?]

XSSCSS 
[?]

SB 
[?]

DoS 
[?]
Související produkty
Mozilla Firefox ESR
Mozilla Firefox
CVE-IDS
?

CVE-2017-7811
CVE-2017-7820
CVE-2017-7822
CVE-2017-7821
CVE-2017-7816
CVE-2017-7815
CVE-2017-7813
CVE-2017-7812
CVE-2017-7817
CVE-2017-7810
CVE-2017-7823
CVE-2017-7825
CVE-2017-7814
CVE-2017-7805
CVE-2017-7824
CVE-2017-7819
CVE-2017-7818
CVE-2017-7793


Odkaz na originál